## kooldock-trinity 14.0.9

=== debian/changelog ===
kooldock-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:20:07 +0200

kooldock-trinity (0.4.7-1) squeeze; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 01 Sep 2015 19:50:25 +0200

kooldock (0.3-1ubuntu3) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:06:56 +0000

kooldock (0.3-1ubuntu2) edgy; urgency=low

  * libgamin0 kubuntu transition

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Wed, 16 Aug 2006 18:01:51 -0500

kooldock (0.3-1ubuntu1) dapper; urgency=low

  * debian/applied-patches/strip-empty-de.po.patch:
    - po/Makefile.in:
      - remove de.po and de.gmo
    - debian/rules:
      - remove empty po/de.po.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 29 May 2006 11:11:26 +0200

kooldock (0.3-1) unstable; urgency=low

  * Initial release

 -- Claudio Moratti <maxer@knio.it>  Fri, 23 Sep 2005 18:19:20 +0200

## kooldock-trinity 14.1.1

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( kooldock )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( backgrounds )
add_subdirectory( icons )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )



##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kooldock-trinity 14.0.10

=== debian/changelog ===
kooldock-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kooldock-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs-trinity-dev
Standards-Version: 3.8.0
Homepage: http://sourceforge.net/projects/kooldock/

Package: kooldock-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: Dock for TDE with cool visual enhancements
 KoolDock is a fork of the original work of Dang Viet Dung,.
 KSmoothDock 2.1. KoolDock is a dock for TDE with cool.
 visual enhancements and effects.
 .
 Some of it features are:
  * Display quick launchers to your favourite apps
  * A builtin task bar
  * Pager and clock. (Not done yet)
  * Smooth zooming effect (like Apple's OS X dock)
  * Transparent Background
 .
 Homepage: http://sourceforge.net/projects/kooldock/

## kooldock-trinity 14.0.11

=== debian/changelog ===
kooldock-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs-trinity-dev
 Standards-Version: 3.8.0
 Homepage: http://sourceforge.net/projects/kooldock/

## kooldock-trinity 14.0.12

=== debian/changelog ===
kooldock-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:28:26 +0100

## kooldock-trinity 14.0.13

=== debian/changelog ===
kooldock-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 09:05:08 +0200

## kooldock-trinity 14.1.0

=== debian/changelog ===
kooldock-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev
 Standards-Version: 3.8.0
 Homepage: http://sourceforge.net/projects/kooldock/

## kooldock-trinity 14.1.1

=== debian/changelog ===
kooldock-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 12:19:38 +0200

## kooldock-trinity 14.1.2

=== debian/changelog ===
kooldock-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 24 Mar 2024 11:05:05 +0100

## kooldock-trinity 14.1.3

=== debian/changelog ===
kooldock-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:31:21 +0200

## kooldock-trinity 14.1.4

=== debian/changelog ===
kooldock-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev
 Standards-Version: 3.8.0
 Homepage: http://sourceforge.net/projects/kooldock/

## kooldock-trinity 14.1.5~pre0

=== debian/changelog ===
kooldock-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a7efb32e444ed3fe5307b5065c9bb5666d938c85
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kooldock-trinity 14.1.5

=== backgrounds/border-black/CMakeLists.txt ===
file( GLOB _pics RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )

install(
    FILES ${_pics}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/backgrounds/border-black
)

=== backgrounds/crystal/CMakeLists.txt ===
file( GLOB _pics RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.png )

install(
    FILES ${_pics}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/backgrounds/crystal
)

=== debian/changelog ===
kooldock-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kooldock-trinity 14.1.6~pre0

=== debian/changelog ===
kooldock-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a7efb32e444ed3fe5307b5065c9bb5666d938c85
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kooldock-trinity 14.1.6~pre1

=== debian/changelog ===
kooldock-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c333f7f560778ef6f91e964bd44cff856b46278b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Dec 2025 02:13:46 +0100

## kooldock-trinity 14.1.6~pre2

=== debian/changelog ===
kooldock-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 97e91d2b83daa853d7f08cc6323df49ef01126ed
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:04:53 +0100

## kooldock-trinity 14.2.0~pre17

=== debian/changelog ===
kooldock-trinity (4:14.2.0~pre17-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c235836ec5377ec1e613e0c24d044ab539922d6c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kooldock-trinity 14.2.0~pre18

=== debian/changelog ===
kooldock-trinity (4:14.2.0~pre18-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for b39961e8148a0e29244d95d1313ef0d1eed4f36d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 18:52:48 +0100

## kooldock-trinity 14.2.0~pre19

=== debian/changelog ===
kooldock-trinity (4:14.2.0~pre19-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ab1c8db1cca1a94f36a9afb5600f3b5c725b0930
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kooldock

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:06:48 +0100
